import { CheckerContext, FeatureSite } from '../model/feature';
export declare function checkReturningMultipleValue(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkRecursion(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFirstClassFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkPureFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkViewFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkConstantFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFunctionModifier(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkNamedCall(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFreeFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkReturnVariable(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFallbackFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkReceiveEtherFunction(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFunctionOverloading(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkLoop(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkCrossContractInvocationHighLevel(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkCrossContractInvocationLowLevel(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkSend(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkTransfer(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkCreatingContractViaNew(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkExceptionRequireAssertRevertThrow(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkExceptionTryCatch(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkSingleInheritance(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkMultipleInheritance(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkSuperVirtualMethodLookup(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFunctionOverriding(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFunctionModifierOverriding(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkAbstractContract(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkInterface(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkFunctionVisibility(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkStateVariableVisibility(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkLibrary(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkArray(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkStruct(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkNestedArrayOrStruct(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkEnum(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkEvent(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkConstantAndImmutableStateVariable(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkImportRenaming(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkPragmaSolidityVersion(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkPragmaSmtChecker(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkManualGasControl(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkInlineAssembly(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkHexadecimalLiteral(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkEtherUnit(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkTimeUnit(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkSpdxLicenseIdentifier(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkNatSpecComment(context: CheckerContext): Promise<FeatureSite[]>;
export declare function checkUnicodeLiteral(context: CheckerContext): Promise<FeatureSite[]>;
