"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureType = void 0;
var FeatureType;
(function (FeatureType) {
    // function
    FeatureType["ReturningMultipleValue"] = "ReturningMultipleValue";
    FeatureType["Recursion"] = "Recursion";
    FeatureType["FirstClassFunction"] = "FirstClassFunction";
    FeatureType["PureFunction"] = "PureFunction";
    FeatureType["ViewFunction"] = "ViewFunction";
    FeatureType["ConstantFunction"] = "ConstantFunction";
    FeatureType["FunctionModifier"] = "FunctionModifier";
    FeatureType["NamedCall"] = "NamedCall";
    FeatureType["FreeFunction"] = "FreeFunction";
    FeatureType["ReturnVariable"] = "ReturnVariable";
    FeatureType["FallbackFunction"] = "FallbackFunction";
    FeatureType["ReceiveEtherFunction"] = "ReceiveEtherFunction";
    FeatureType["FunctionOverloading"] = "FunctionOverloading";
    // control flow
    FeatureType["Loop"] = "Loop";
    FeatureType["CrossContractInvocationHighLevel"] = "CrossContractInvocationHighLevel";
    FeatureType["CrossContractInvocationLowLevel"] = "CrossContractInvocationLowLevel";
    FeatureType["Send"] = "Send";
    FeatureType["Transfer"] = "Transfer";
    FeatureType["CreatingContractViaNew"] = "CreatingContractViaNew";
    FeatureType["ExceptionRequireAssertRevertThrow"] = "ExceptionRequireAssertRevertThrow";
    FeatureType["ExceptionTryCatch"] = "ExceptionTryCatch";
    // object-oriented programming
    FeatureType["SingleInheritance"] = "SingleInheritance";
    FeatureType["MultipleInheritance"] = "MultipleInheritance";
    FeatureType["SuperVirtualMethodLookup"] = "SuperVirtualMethodLookup";
    FeatureType["FunctionOverriding"] = "FunctionOverriding";
    FeatureType["FunctionModifierOverriding"] = "FunctionModifierOverriding";
    FeatureType["AbstractContract"] = "AbstractContract";
    FeatureType["Interface"] = "Interface";
    FeatureType["FunctionVisibility"] = "FunctionVisibility";
    FeatureType["StateVariableVisibility"] = "StateVariableVisibility";
    FeatureType["Library"] = "Library";
    // data structure
    FeatureType["Array"] = "Array";
    FeatureType["Struct"] = "Struct";
    FeatureType["NestedArrayOrStruct"] = "NestedArrayOrStruct";
    FeatureType["Enum"] = "Enum";
    FeatureType["Event"] = "Event";
    FeatureType["ConstantAndImmutableStateVariable"] = "ConstantAndImmutableStateVariable";
    // code style
    FeatureType["SpdxLicenseIdentifier"] = "SpdxLicenseIdentifier";
    FeatureType["ImportRenaming"] = "ImportRenaming";
    FeatureType["NatSpecComment"] = "NatSpecComment";
    FeatureType["PragmaSolidityVersion"] = "PragmaSolidityVersion";
    // special mechanism
    FeatureType["PragmaSmtChecker"] = "PragmaSmtChecker";
    FeatureType["ManualGasControl"] = "ManualGasControl";
    FeatureType["InlineAssembly"] = "InlineAssembly";
    FeatureType["UnicodeLiteral"] = "UnicodeLiteral";
    FeatureType["HexadecimalLiteral"] = "HexadecimalLiteral";
    FeatureType["EtherUnit"] = "EtherUnit";
    FeatureType["TimeUnit"] = "TimeUnit";
})(FeatureType = exports.FeatureType || (exports.FeatureType = {}));
