"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpCheckResult = exports.convertMapToObject = void 0;
function convertMapToObject(map) {
    return Array.from(map).reduce(function (obj, _a) {
        var key = _a[0], value = _a[1];
        if (value instanceof Map) {
            obj[key] = convertMapToObject(value);
        }
        else {
            obj[key] = value;
        }
        return obj;
    }, {});
}
exports.convertMapToObject = convertMapToObject;
function dumpCheckResult(checkResult) {
    return JSON.stringify(convertMapToObject(checkResult));
}
exports.dumpCheckResult = dumpCheckResult;
